package net.northking.cctp.executePlan.dto.planLink;

import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.Size;
import java.io.Serializable;

/**
 * <p>Title: AtuPlanScriptLinkDetailDto</p>
 * <p>Description: </p>
 *
 * @Author chenjianfeng
 * @Version V1.0
 * @Date 2023/08/31
 * <p>Copyright (c) 京北方信息技术股份有限公司 Corporation 2022 . All rights reserved.</p>
 */

public class AtuPlanScriptLinkDetailDto implements Serializable {

    /**
     * 主键<br>
     */
    @ApiModelProperty("主键")
    private Long id;
    /**
     * 计划id<br>
     */
    @ApiModelProperty("计划id")
    @Size(max = 32, message="计划id-planId: 数据长度不能 > 32" )
    private String planId;
    /**
     * 脚本id<br>
     */
    @ApiModelProperty("脚本id")
    @Size(max = 32, message="脚本id-scriptId: 数据长度不能 > 32" )
    private String scriptId;
    /**
     * 脚本类型;0-接口，1-pcbs，2-pccs，3-安卓，4-ios<br>
     */
    @ApiModelProperty("脚本类型;0-接口，1-pcbs，2-pccs，3-安卓，4-ios")
    @Size(max = 32, message="脚本类型;0-接口，1-pcbs，2-pccs，3-安卓，4-ios-scriptType: 数据长度不能 > 32" )
    private String scriptType;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getPlanId() {
        return planId;
    }

    public void setPlanId(String planId) {
        this.planId = planId;
    }

    public String getScriptId() {
        return scriptId;
    }

    public void setScriptId(String scriptId) {
        this.scriptId = scriptId;
    }

    public String getScriptType() {
        return scriptType;
    }

    public void setScriptType(String scriptType) {
        this.scriptType = scriptType;
    }
}
